| Home | Libraries | People | FAQ | More

# boost::asio::placeholders Namespace Reference

## Detailed Description

The boost::asio::placeholders namespace defines argument placeholders for use with boost::bind.

## Variables

boost::arg< 1 > | error
| An argument placeholder, for use with boost::bind, that corresponds to the error argument of a handler for any of the asynchronous functions.
boost::arg< 2 > | bytes_transferred
| An argument placeholder, for use with boost::bind, that corresponds to the bytes_transferred argument of a handler for asynchronous functions such as boost::asio::basic_stream_socket::async_write_some or boost::asio::async_write.
boost::arg< 2 > | iterator
| An argument placeholder, for use with boost::bind, that corresponds to the iterator argument of a handler for asynchronous functions such as boost::asio::basic_resolver::resolve.

## Variable Documentation

boost::arg<1> boost::asio::placeholders::error `[static]`

An argument placeholder, for use with boost::bind, that corresponds to the error argument of a handler for any of the asynchronous functions.

boost::arg<2> boost::asio::placeholders::bytes_transferred `[static]`

An argument placeholder, for use with boost::bind, that corresponds to the bytes_transferred argument of a handler for asynchronous functions such as boost::asio::basic_stream_socket::async_write_some or boost::asio::async_write.

boost::arg<2> boost::asio::placeholders::iterator `[static]`

An argument placeholder, for use with boost::bind, that corresponds to the iterator argument of a handler for asynchronous functions such as boost::asio::basic_resolver::resolve.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff